<template>
  <div :class="`${prefixClass}-table ${prefixClass}-table-year`" @click="handleClick">
    <div v-for="(item, key) in years" :key="key" :data-year="item" class="cell" :class="getCellClasses(item)">{{item}}
    </div>
  </div>
</template>

<script>
  import {chunk} from '../util/base';

  export default {
    name: 'TableYear',
    inject: {
      prefixClass: {
        default: 'mx',
      },
    },
    props: {
      decade: Number,
      getCellClasses: {
        type: Function,
        default: () => {
          return [];
        },
      },
    },
    computed: {
      years() {
        const firstYear = this.decade;
        const years = [];
        for (let i = 0; i < 10; i++) {
          years.push(firstYear + i);
        }
        return years;
      },
    },
    methods: {
      handleClick(evt) {
        let {target} = evt;
/*        if (target.tagName === 'DIV') {
          target = target.parentNode;
        }*/
        const year = target.getAttribute('data-year');
        if (year) {
          this.$emit('select', parseInt(year, 10));
        }
      },
    },
  };
</script>
